#include "StdAfx.h"
#include "QRCodeDoubleClickEdit.h"
#include "CExtQRCode.h"
#include "QRCodeDialog.h"


CQRCodeDoubleClickEdit::CQRCodeDoubleClickEdit(void)
{
}


CQRCodeDoubleClickEdit::~CQRCodeDoubleClickEdit(void)
{
}

void CQRCodeDoubleClickEdit::finishEdit( void )
{

}

void CQRCodeDoubleClickEdit::startEdit( AcDbEntity *pEnt, AcGePoint3d pt )
{
    AcApDocument *pDoc=acDocManager->curDocument();
    acDocManager->lockDocument(pDoc,AcAp::kWrite); 
    if(pEnt->isA() == CExtQRCode::desc())
    {
        bool upgraded = false;
        CExtQRCode *pCode = static_cast<CExtQRCode*>(pEnt);
        if(!pCode->isWriteEnabled())
        {
            pCode->upgradeOpen();
            upgraded = true;
        }
        QRCodeDialog dlg(pCode, AcUiMainWindow());
        if(IDOK != dlg.DoModal())
        {
            pCode->cancel();
        }
        if(upgraded)
        {
            pCode->downgradeOpen();
        }
    }
    acDocManager->unlockDocument(pDoc);
}
