// Copyright (C) Menhirs NV. All rights reserved.
// License to copy and modify this file for usage in conjunction
// with Autodesk ARX API is explicitely expressed here, as long as the
// copyright statement remains unchanged !
// Please copy this file to your Autodesk ARX API or project folder(s).

// this header profides following features :
// provides name mangling for ARX <= 2009 vs. ARX >= 2010 vs. BRX 12/13
// ("subWorldDraw" vs. "worldDraw"); it wraps both "old" and "new" naming convention to
// the correct one, depending on ARX/BRX build version

// undefine "old" name mappings

// AcGiDrawable
#undef setAttributes
#undef worldDraw
#undef viewportDraw
#undef viewportDrawLogicalFlags

// AcDbObject
#undef deepClone
#undef wblockClone
#undef getClassID
#undef getGeomExtents
#undef addSubentPaths
#undef deleteSubentPaths
#undef getSubentClassId
#undef transformSubentPathsBy
#undef getGripPointsAtSubentPath
#undef moveGripPointsAtSubentPaths
#undef getSubentPathGeomExtents
#undef getSubentPathsAtGsMarker
#undef getGsMarkersAtSubentPath
#undef highlight
#undef unhighlight
#undef subentPtr
#undef getOsnapPoints
#undef isContentSnappable
#undef getGripPoints
#undef moveGripPointsAt
#undef getStretchPoints
#undef moveStretchPointsAt
#undef intersectWith
#undef list
#undef getTransformedCopy
#undef explode
#undef getCompoundObjectTransform
#undef cloneMeForDragging
#undef hideMeForDragging
#undef gripStatus
#undef subentGripStatus
#undef getGripEntityUCS

// these functions exist as both "subXXX()" and "XXX()" functions, so name mapping
// does not work here; using uppercase placeholder names
#undef TransformBy
#undef SetVisibility

// undefine "new" name mappings

// AcGiDrawable
#undef subSetAttributes
#undef subWorldDraw
#undef subViewportDraw
#undef subViewportDrawLogicalFlags

// AcDbObject
#undef subDeepClone
#undef subWblockClone
#undef subGetClassID
#undef subSetVisibility
#undef subGetGeomExtents
#undef subAddSubentPaths
#undef subDeleteSubentPaths
#undef subGetSubentClassId
#undef subTransformSubentPathsBy
#undef subGetGripPointsAtSubentPath
#undef subMoveGripPointsAtSubentPaths
#undef subGetSubentPathGeomExtents
#undef subGetSubentPathsAtGsMarker
#undef subGetGsMarkersAtSubentPath
#undef subHighlight
#undef subUnhighlight
#undef subSubentPtr
#undef subGetOsnapPoints
#undef subIsContentSnappable
#undef subGetGripPoints
#undef subMoveGripPointsAt
#undef subGetStretchPoints
#undef subMoveStretchPointsAt
#undef subIntersectWith
#undef subList
#undef subGetTransformedCopy
#undef subExplode
#undef subGetCompoundObjectTransform
#undef subCloneMeForDragging
#undef subHideMeForDragging
#undef subGripStatus
#undef subSubentGripStatus
#undef subGetGripEntityUCS
#undef subTransformBy
