#pragma once


// QRCodeDialog dialog
#include "Resource.h"
#include "afxwin.h"

class CExtQRCode;

class QRCodeDialog : public CDialog
{
    DECLARE_DYNAMIC(QRCodeDialog)
public:
    QRCodeDialog(CExtQRCode *pCode, CWnd* pParent = NULL);   // standard constructor
    virtual ~QRCodeDialog();

    // Dialog Data
    enum { IDD = IDD_QRCODEDIALOG };

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    virtual BOOL OnInitDialog();


    DECLARE_MESSAGE_MAP()

public:
    afx_msg void OnEnChangeEditContent();
    CEdit m_ceditScale;
    CEdit m_ceditMargin;
    CButton m_buttonInvert;
    CButton m_buttonCaseSensitive;
    afx_msg void OnEnChangeEditScale();
    afx_msg void OnEnChangeEditMargin();
    afx_msg void OnBnClickedCheckInvert();
    afx_msg void OnBnClickedCheckCase();
    afx_msg void OnBnClickedRadioL();
    afx_msg void OnBnClickedRadioM();
    afx_msg void OnBnClickedRadioQ();
    afx_msg void OnBnClickedRadioH();

private:
    static bool chkptr(const CExtQRCode *pCode);

private:
    CExtQRCode *m_pCode;
    CEdit m_ceditContents;

};
